Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator
Class SourceModule

    java.lang.Object
      Operator.OperatorModule
          Operator.SourceModule

All Implemented Interfaces:
  Module, Operator, ParameterI, Stochastic

Direct Known Subclasses:
  Initialiser, SplitOperator

    public abstract class SourceModule

extends OperatorModule
implements ParameterI

Abstract class used for a source module. Contains the size of the source.

Author:
  Conor

Field Summary
`protected int` | `size`

Fields inherited from class Operator.OperatorModule
`population, rng`

Constructor Summary
`SourceModule()` Creates a new instance of SourceModule
`SourceModule(RandomNumberGenerator rng, int size)` Creates a new instance of SourceModule
`SourceModule(RandomNumberGenerator rng, java.util.Properties p)` Creates a new instance of SourceModule

Method Summary
`abstract Population` | `getPopulation()`
`void` | `setSize(int size)` Set the size

Methods inherited from class Operator.OperatorModule
`getRNG, perform, setPopulation, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface Parameter.ParameterI
`setProperties`

Methods inherited from interface Operator.Operator
`getOperation, setOperation`

Field Detail

### size

    protected int size

Constructor Detail

### SourceModule

    public SourceModule(RandomNumberGenerator rng,
                        int size)

  Creates a new instance of SourceModule

  Parameters:
    `rng` - random number generator
    `size` - size of source

### SourceModule

    public SourceModule()

  Creates a new instance of SourceModule

### SourceModule

    public SourceModule(RandomNumberGenerator rng,
                        java.util.Properties p)

  Creates a new instance of SourceModule

  Parameters:
    `rng` - random number generator
    `p` - properies

Method Detail

### getPopulation

    public abstract Population getPopulation()

### setSize

    public void setSize(int size)

  Set the size

  Parameters:
    `size` - The integer size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD